
Redmine - Feature #9790

Allow filtering text custom fields on "is null" and "is not null"

2011-12-13 14:30 - Pierre Pretorius

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.4.2   

Resolution: Fixed   

Description

We have a custom field called "Test Case ID" that might be populated.  We want to create a public custom query that shows all

issues that have this field populated, in other words we want to query where Test Case ID is not null.  If you set the filter to "is not"

and leave the text box blank, it shows an error message that the text box must be entered.  Please add "is not null" to the dropdown

or allow the text box to be empty.  This scenario is occurring more and more with a few different fields.

Thanks for the excelent work with Redmine!

Related issues:

Has duplicate Redmine - Feature #4815: More criteria for filtering tickets Closed 2010-02-11

Associated revisions

Revision 9671 - 2012-05-12 14:23 - Jean-Philippe Lang

Adds all/none operators to text custom field filters (#9790).

History

#1 - 2012-04-25 09:37 - Pierre Pretorius

- Assignee set to Jean-Philippe Lang

I'm really sorry for assigning this to you, can you please evaluate this request and put it in as a candidate or throw it in your dustbin/will not implement

status? Thank you.

#2 - 2012-05-12 14:25 - Jean-Philippe Lang

- Subject changed from Allow filtering fields on "is null" and "is not null" in issue queries to Allow filtering text custom fields on "is null" and "is not null"

- Status changed from New to Resolved

- Target version set to 1.4.2

Added in r9671.

#3 - 2012-05-12 14:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

#4 - 2019-01-19 09:06 - Go MAEDA

- Has duplicate Feature #4815: More criteria for filtering tickets added
